IM_VIPS2MASK(3X)

NAME
im_vips2mask, im_mask2vips - convert between masks and images

SYNOPSIS
#include <vips/vips.h> DOUBLEMASK *im_vips2mask( IMAGE *in, char *out_name ) int im_mask2vips( DOUBLEMASK *in, IMAGE *out )

DESCRIPTION
im_vips2mask() returns a DOUBLEMASK of name out_name containing the data from IMAGE in. One band FMTDOUBLE images only. Returns NULL on error, and a new mask on success. The scale field is set to 1.0 and the offset to 0.0. im_mask2vips() writes the doubles held in mask in to the IMAGE out. It creates a one-band image of the same size as in. It returns 0 on success and -1 on error. The scale and offset fields are ignored.

SEE ALSO
im_openin(3X), im_openout(3X), im_setbuf(3X), edvips(3X), im_create_dmask(3X).

COPYRIGHT
National Gallery, 1994